-- A project defines one build target
project "Arkanoid3D"
    local prj = project()
    kind "ConsoleApp"
    language "C++"
    includedirs { "./" .. prj.name .. "/inc" }
    location ( "./projects/" .. prj.name )
    files { "**.hpp", "**.cpp" }
    targetdir "./bin"
    targetname "arkanoid"
    links { "SDL" }

    if os.is( "linux" ) then
        links { "GL", "GLU" }
        defines { "LINUX" }
        print( "linux" )
    end

    if os.is( "windows" ) then
        links { "opengl32", "glu32" }
        defines { "WIN32" }
        print( "windows" )
    end

    configuration "Debug"
        defines { "DEBUG" }
        flags { "Symbols" }
        objdir ( "./temp/debug/" .. prj.name )

    configuration "Release"
        defines { "NDEBUG" }
        flags { "Optimize", "FatalWarnings" }
        objdir ( "./temp/release" .. prj.name )
